set(LIB_NAME       NJointWavingController)
armarx_component_set_name("${LIB_NAME}")
armarx_set_target("Library: ${LIB_NAME}")
set(LIBS RobotUnit DefaultWidgetDescriptions)
set(LIB_FILES   NJointWavingController.cpp)
set(LIB_HEADERS NJointWavingController.h)
armarx_add_library("${LIB_NAME}" "${LIB_FILES}" "${LIB_HEADERS}" "${LIBS}")
add_subdirectory(test)
